LLM-readable documentation index
ApiV3GeneratedEntity Types

List Entity Types

Hand off to an LLM
GET
/v3/entity-types
x-api-key<token>

Authenticate using API Key in request header

In: header

Query Parameters

limit?integer

Maximum number of entity types to return (default 50, max 200).

Formatint32
startingAfter?string

Cursor: return types whose typeID sorts after this value.

endingBefore?string

Cursor: return types whose typeID sorts before this value.

parentTypeId?string

Filter to the direct children of this parent type (ety_...).

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/entity-types"
{
  "entityTypes": [
    {
      "typeID": "string",
      "name": "string",
      "description": "string",
      "parentTypeID": "string",
      "attributeSchema": null,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalCount": 0
}